<!DOCTYPE html>
<html lang="en">

<head>
  <title>Danh sách khóa học</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <!-- Data Table-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

</head>

<body>
  <div class="container-fluid">
    <!-- Vùng header -->
    <h3 class="text-center mt-3 font-weight-bolder">DANH SÁCH KHÓA HỌC</h3>
    <div class="form-group">
      <button class="btn btn-success" id="btn-them-khoa-hoc"><i class="fa fa-plus"></i>&nbsp; Thêm khóa học</button>
    </div>
    <!-- Vùng Table -->
    <table id="course-table" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>STT</th>
          <th>Mã khóa học</th>
          <th>Tên khóa học</th>
          <th>Học phí</th>
          <th>Phí giảm</th>
          <th>Thời gian học</th>
          <th>Level</th>
          <th>Ảnh khóa học</th>
          <th>Thầy dạy</th>
          <th>Ảnh thầy</th>
          <th>Popular</th>
          <th>Trending</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>

      </tbody>
    </table>
  </div>
<!-- Vùng Modal -->

  <!-- Create course modal -->
  <div>
    <div id="create-course-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Create new Course</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Course Code</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-courseCode" 
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Course name</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-courseName"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Price</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-price"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Discount price</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-discountPrice"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Duration</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-duration"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Level</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="select-level">
                        <option value="Beginner">Beginner</option>
                        <option value="Intermediate">Intermediate</option>
                        <option value="Advanced">Advanced</option>
                    </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Course Image</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-cimage"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Teacher Name</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-teacherName"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Teacher Photo</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-teacherPhoto"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Popular</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="select-popular">
                        <option value="true">Yes</option>
                        <option value="false">No</option>
                    </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Trending</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="select-trending">
                        <option value="true">Yes</option>
                        <option value="false">No</option>
                    </select>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary" id="btn-create-course">Create Course</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Update course modal -->
  <div>
    <div id="update-course-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Update Course</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Course Code</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-course-code" 
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Course name</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-course-name"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Price</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-price"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Discount price</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-discountPrice"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Duration</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-duration"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Level</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="selected-level">
                        <option value="Beginner">Beginner</option>
                        <option value="Intermediate">Intermediate</option>
                        <option value="Advanced">Advanced</option>
                    </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Course Image</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-cimage"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Teacher Name</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-teacherName"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Teacher Photo</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-teacherPhoto"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Popular</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="selected-popular">
                        <option value="true">Yes</option>
                        <option value="false">No</option>
                    </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                    <label>Trending</label>
                </div>
                <div class="col-sm-8">
                    <select class="form-control" id="selected-trending">
                        <option value="true">Yes</option>
                        <option value="false">No</option>
                    </select>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary" id="btn-update-course">Update Course</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Delete confirm modal -->
  <div>
    <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Course Delete Confirmation</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <label>Bạn có chắc chắn muốn xóa course này không?</label>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-confirm-delete-course">Confirm</button>
            <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  
</body>
<script>
  $(document).ready(function () {
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "https://624abe0dfd7e30c51c110ac6.mockapi.io/api/v1";
    const gCONTENT_TYPE = "application/json;charset=UTF-8";
    // Biến mảng hằng số chứa danh sách tên các thuộc tính
    const gCOURSE_COLS = [
      "stt", 
      "courseCode", 
      "courseName", 
      "price", 
      "discountPrice",  
      "duration", 
      "level", 
      "coverImage", 
      "teacherName" , 
      "teacherPhoto" ,
      "isPopular",
      "isTrending",
      "id"
    ];
    // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
    const gCOURSE_STT_COL = 0;
    const gCOURSE_MA_KHOA_HOC_COL = 1;
    const gCOURSE_TEN_KHOA_HOC_COL = 2;
    const gCOURSE_PRICE_COL = 3;
    const gCOURSE_DISCOUNT_PRICE_COL = 4;
    const gCOURSE_DURATION_COL = 5;
    const gCOURSE_LEVEL_COL = 6;
    const gCOURSE_ANH_COURSE_COL = 7;
    const gCOURSE_TEACHER_NAME_COL = 8;
    const gCOURSE_ANH_TEACHER_COL = 9;
    const gCOURSE_POPULAR_COL = 10;
    const gCOURSE_TRENDING_COL = 11;
    const gCOURSE_ACTION_COL = 12;
    // Biến toàn cục để hiển lưu STT
    var gSTT = 1;
    // Khai báo DataTable & mapping collumns
    var gCourseTable = $("#course-table").DataTable({
      columns: [
        { data: gCOURSE_COLS[gCOURSE_STT_COL] },
        { data: gCOURSE_COLS[gCOURSE_MA_KHOA_HOC_COL] },
        { data: gCOURSE_COLS[gCOURSE_TEN_KHOA_HOC_COL] },
        { data: gCOURSE_COLS[gCOURSE_PRICE_COL] },
        { data: gCOURSE_COLS[gCOURSE_DISCOUNT_PRICE_COL] },
        { data: gCOURSE_COLS[gCOURSE_DURATION_COL] },
        { data: gCOURSE_COLS[gCOURSE_LEVEL_COL] },
        { data: gCOURSE_COLS[gCOURSE_ANH_COURSE_COL] },
        { data: gCOURSE_COLS[gCOURSE_TEACHER_NAME_COL] },
        { data: gCOURSE_COLS[gCOURSE_ANH_TEACHER_COL] },
        { data: gCOURSE_COLS[gCOURSE_POPULAR_COL]},
        { data: gCOURSE_COLS[gCOURSE_TRENDING_COL]},
        { data: gCOURSE_COLS[gCOURSE_ACTION_COL] }
      ],
      columnDefs: [
        { // định nghĩa lại cột STT
          targets: gCOURSE_STT_COL,
          render: function () {
            return gSTT++;
          }
        },

        { // định nghĩa lại cột giá bán
          targets: gCOURSE_PRICE_COL,
          render: function (paramData) {
            return "$ " + paramData
          }
        },

        { // định nghĩa lại cột giá giảm
          targets: gCOURSE_DISCOUNT_PRICE_COL,
          render: function (paramData) {
            return "$ " + paramData
          }
        },

        { // định nghĩa lại cột ảnh khóa học
          targets: gCOURSE_ANH_COURSE_COL,
          render: function (paramData) {
            return `<img src="${paramData}" alt="" style="width: 100px; height:100px">`
          }
        },

        { // định nghĩa lại cột ảnh thầy
          targets: gCOURSE_ANH_TEACHER_COL,
          render: function (paramData) {
            return `<img src="${paramData}" alt="" style="width: 100px; height:100px">`
          }
        },
        
        {
          targets: gCOURSE_POPULAR_COL,
          render: function (paramData1) {
            if (paramData1 == true) {
              return "Yes";
            }
            else return "No";
          }
        },
        
        {
          targets:gCOURSE_TRENDING_COL,
          render: function (paramData2) {
            if (paramData2 == true) {
              return "Yes";
            }
            else return "No";
          }
        },

        { // định nghĩa lại cột action
          targets: gCOURSE_ACTION_COL,
          render: function (paramData) {
            return `
              <img class="edit-course" data-id=${paramData} src="https://cdn0.iconfinder.com/data/icons/glyphpack/45/edit-alt-512.png" style="width: 20px;cursor:pointer;">
              <img class="delete-course" data-id=${paramData} src="https://cdn4.iconfinder.com/data/icons/complete-common-version-6-4/1024/trash-512.png" style="width: 20px;cursor:pointer;">
            `
          }
        }
      ]
    });
    // Biến toàn cục để lưu các mảng giá trị
    var gCourseArray = [];
    // Biến toàn cục để lưu id course
    var gCourseId = 0;
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    // thực hiện tải trang
    onPageLoading();
    // 2 - C: gán sự kiện Create - Thêm mới course
    $("#btn-them-khoa-hoc").on("click", function () {
      onBtnAddNewCourseClick();
    });
    // 3 - U: gán sự kiện Update - Sửa 1 course
    $("#course-table").on("click", ".edit-course", function () {
      onBtnEditCourseClick(this);
    });
    // 4 - D: gán sự kiện delete - Xóa 1 course
    $("#course-table").on("click", ".delete-course", function () {
      onBtnDeleteCourseClick(this);
    });
    

    //phần modal
    // gán sự kiện cho nút Create Course (trên modal)
    $("#btn-create-course").on("click", function () {
      onBtnCreateCourseClick();
    });
    // gán sự kiện cho nút Update Course (trên modal)
    $("#btn-update-course").on("click", function () {
      onBtnUpdateCourseClick();
    });
    // Gán sự kiện cho nút Confirm Delete Course (trên modal)
    $("#btn-confirm-delete-course").on("click", function () {
      onBtnConfirmDeleteCourseClick();
    });
  
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      //Read / Load course to DataTable
      getAllCourse();
    }
    // Hàm xử lý sự kiện khi nút Thêm mới đc click
    function onBtnAddNewCourseClick() {
      // hiển thị modal trắng lên
      $("#create-course-modal").modal("show");
    }
    // hàm xử lý sự kiện create course button modal click
    function onBtnCreateCourseClick() {
      // khai báo đối tượng chứa course data
      var vCourseObj = {
        courseCode: "",
        courseName:"",
        price:"",
        discountPrice:"",
        duration:"",
        level:"",
        coverImage:"",
        teacherName:"",
        teacherPhoto:"",
        isPopular: false,
        isTrending: false
      };
      // B1: Thu thập dữ liệu
      getCreateCourseData(vCourseObj);
      console.log(vCourseObj);
      // B2: Validate insert
      var vIsCourseValidate = validateCourseData(vCourseObj);
      if (vIsCourseValidate) {
        // B3: insert course
        $.ajax({
          url: gBASE_URL + "/courses",
          type: "POST",
          contentType: gCONTENT_TYPE,
          data: JSON.stringify(vCourseObj),
          success: function (paramRes) {
            // B4: xử lý front-end
            handleInsertCourseSuccess()
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }
    }

    function onBtnEditCourseClick(paramBtnEdit) {
      // lưu thông tin courseId đang được edit vào biến toàn cục
      gCourseId = $(paramBtnEdit).data("id");
      console.log(gCourseId);
      $("#update-course-modal").modal("show");
      // load dữ liệu vào các trường dữ liệu trong modal
      getCourseByIdAndLoadToUpdateModal(gCourseId);
    }
    function onBtnDeleteCourseClick(paramBtnDelete){
      //lưu thông tin courseId đang được edit vào biến
      gCourseId = $(paramBtnDelete).data("id");
      console.log(gCourseId);
      $("#delete-confirm-modal").modal("show");
    }

    // hàm xử lý sự kiện update course modal click
    function onBtnUpdateCourseClick() {
      // khai báo đối tượng chứa course data
      var vCourseObj = {
        courseCode: "",
        courseName:"",
        price:"",
        discountPrice:"",
        duration:"",
        level:"",
        coverImage:"",
        teacherName:"",
        teacherPhoto:"",
        isPopular: false,
        isTrending: false
      };
      // B1: Thu thập dữ liệu
      getUpdateCourseData(vCourseObj);
      console.log(vCourseObj);
      // B2: Validate update
      var vIsCourseValidate = validateCourseData(vCourseObj);
      if (vIsCourseValidate) {
        // B3: update course
        $.ajax({
          url: gBASE_URL + "/courses/" + gCourseId,
          type: "PUT",
          contentType: gCONTENT_TYPE,
          data: JSON.stringify(vCourseObj),
          success: function (paramRes) {
            // B4: xử lý front-end
            handleUpdateCourseSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }
    }
    // hàm xử lý sự kiện delete course modal click
    function onBtnConfirmDeleteCourseClick(){
      "use strict";
      $.ajax({
          url: gBASE_URL + "/courses/" + gCourseId,
          type: "DELETE",       
          success: function (paramRes) {
            // B4: xử lý front-end
            handleDeleteCourseSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // hàm gọi api để lấy all danh sách order
    function getAllCourse() {
      $.ajax({
        url: gBASE_URL + "/courses/",
        type: "GET",
        success: function (paramCourses) {
          gCourseArray = paramCourses;
          console.log(gCourseArray);
          loadDataToProductTable(gCourseArray);
        },
        error: function (paramErr) {
          console.log(paramErr.status);
        }
      });
    }
    /** load Courses array to DataTable */
    function loadDataToProductTable(paramCourseArray) {
      gSTT = 1;
      gCourseTable.clear();
      gCourseTable.rows.add(paramCourseArray);
      gCourseTable.draw();
    }
    // hàm thu thập dữ liệu để create course
    function getCreateCourseData(paramCourseObj) {
      paramCourseObj.courseCode = $("#inp-courseCode").val().trim();
      paramCourseObj.courseName = $("#inp-courseName").val().trim();
      paramCourseObj.price = $("#inp-price").val();
      paramCourseObj.discountPrice = $("#inp-discountPrice").val();
      paramCourseObj.duration = $("#inp-duration").val().trim();
      paramCourseObj.level = $("#select-level").val();
      paramCourseObj.coverImage = $("#inp-cimage").val().trim();
      paramCourseObj.teacherName = $("#inp-teacherName").val().trim();
      paramCourseObj.teacherPhoto = $("#inp-teacherPhoto").val().trim();
      paramCourseObj.isPopular = $("#select-popular").val();
      paramCourseObj.isTrending = $("#select-trending").val();
    }
    // hàm validate data
    function validateCourseData(paramCourseObj) {
      if (paramCourseObj.courseCode == "") {
        alert("Course code cần nhập");
        return false;
      }
      if (paramCourseObj.courseCode.length <10) {
        alert("Course code cần nhập kí tự hơn 10");
        return false;
      }
      if (paramCourseObj.courseName == "") {
        alert("Course name cần nhập");
        return false;
      }
      if (paramCourseObj.price == "") {
        alert("price cần nhập");
        return false;
      }
      if (paramCourseObj.price < 0){
        alert("price lớn hơn 0");
        return false;
      }
      if(paramCourseObj.discountPrice > paramCourseObj.price) {
        alert("Discount phải nhỏ hơn price");
        return false;
      }
      if (paramCourseObj.discountPrice < 0){
        alert("discount price phải lớn hơn 0");
        return false;
      }
      if(paramCourseObj.duration == "") {
        alert("duration cần nhập");
        return false;
      }
      if(paramCourseObj.level == "") {
        alert("level chưa chọn");
        return false;
      }
      if(paramCourseObj.coverImage == ""){
        alert("ảnh course chưa nhập");
        return false;
      }
      if(paramCourseObj.teacherName == ""){
        alert("chưa nhập tên thầy dạy");
        return false;
      }
      if(paramCourseObj.teacherPhoto == ""){
        alert("chưa nhập ảnh thầy dạy");
        return false;
      }
      if(paramCourseObj.isPopular == ""){
        alert("Cần chọn popular");
        return false;
      }
      if(paramCourseObj.isTrending == ""){
        alert("Cần chọn trending");
        return false;
      }
      return true;
    }
    // hàm xử lý hiển thị front-end khi thêm course thành công
    function handleInsertCourseSuccess() {
      alert("Thêm course thành công!");
      getAllCourse();
      resertCreateCourseForm();
      $("#create-course-modal").modal("hide");
    }
    // hàm xóa trắng form create course
    function resertCreateCourseForm() {
      $("#inp-courseCode").val();
      $("#inp-courseName").val();
      $("#inp-price").val();
      $("#inp-discountPrice").val();
      $("#inp-duration").val();
      $("#select-level").val();
      $("#inp-cimage").val();
      $("#inp-teacherName").val();
      $("#inp-teacherPhoto").val();
      $("#select-popular").val();
      $("#select-trending").val();
    }
    // hàm gọi api để lấy course by id
    function getCourseByIdAndLoadToUpdateModal(paramCourseId){
      $.ajax({
        url: gBASE_URL + "/courses/" + paramCourseId,
        type: "GET",
        success: function (paramCourses) {
          console.log(paramCourses);
          loadDataToUpdateModal(paramCourses);
        },
        error: function (paramErr) {
          console.log(paramErr.status);
        }
      });
    }
    // hàm show course obj lên modal
    function loadDataToUpdateModal(paramCourse) {
      $("#inp-course-code").val(paramCourse.courseCode);
      $("#inp-course-name").val(paramCourse.courseName);
      $("#input-price").val(paramCourse.price);
      $("#input-discountPrice").val(paramCourse.discountPrice);
      $("#input-duration").val(paramCourse.duration);
      $("#selected-level").val(paramCourse.level);
      $("#input-cimage").val(paramCourse.coverImage);
      $("#input-teacherName").val(paramCourse.teacherName);
      $("#input-teacherPhoto").val(paramCourse.teacherPhoto);
      $("#selected-popular").val(paramCourse.isPopular);
      $("#selected-trending").val(paramCourse.isTrending);
    }
    
    // hàm thu thập dữ liệu để update course
    function getUpdateCourseData(paramCourseObj) {
      paramCourseObj.courseCode = $("#inp-course-code").val().trim();
      paramCourseObj.courseName = $("#inp-course-name").val().trim();
      paramCourseObj.price = $("#input-price").val();
      paramCourseObj.discountPrice = $("#input-discountPrice").val();
      paramCourseObj.duration = $("#input-duration").val().trim();
      paramCourseObj.level = $("#selected-level").val();
      paramCourseObj.coverImage = $("#input-cimage").val().trim();
      paramCourseObj.teacherName = $("#input-teacherName").val().trim();
      paramCourseObj.teacherPhoto = $("#input-teacherPhoto").val().trim();
      paramCourseObj.isPopular = $("#selected-popular").val();
      paramCourseObj.isTrending = $("#selected-trending").val();
    }
    // hàm xử lý hiển thị front-end khi sửa course thành công
    function handleUpdateCourseSuccess() {
      alert("Sửa course thành công!");
      getAllCourse();
      resertUpdateCourseForm();
      $("#update-course-modal").modal("hide");
    }
    // hàm xóa trắng form update course
    function resertUpdateCourseForm() {
      $("#inp-course-code").val();
      $("#inp-course-name").val();
      $("#input-price").val();
      $("#input-discountPrice").val();
      $("#input-duration").val();
      $("#selected-level").val();
      $("#input-cimage").val();
      $("#input-teacherName").val();
      $("#input-teacherPhoto").val();
      $("#selected-popular").val();
      $("#selected-trending").val();
    }
    function handleDeleteCourseSuccess(){
      // Hàm xử lý hiển thị front-end khi xóa course thành công
      alert("Xóa course thành công!");
      getAllCourse();    
      $("#delete-confirm-modal").modal("hide");
    }
    

  });


</script>

</html>